Package org.acplt.oncrpc.server

## Class OncRpcServerCallMessage

- java.lang.Object
- - org.acplt.oncrpc.OncRpcMessage
  - - org.acplt.oncrpc.OncRpcCallMessage
    - - org.acplt.oncrpc.server.OncRpcServerCallMessage

-     public class OncRpcServerCallMessage
      extends OncRpcCallMessage

  The `OncRpcServerCallMessage` class represents an ONC/RPC call message on the server side. For this reasons it just handles decoding of call messages but can not do any encoding. This class is also responsible for pulling off authentication information from the wire and converting it into appropriate authentication protocol handling objects. As with all good management, this class therefor delegates this somehow unpleasant work to the server-side authentication protocol handling classes.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:51 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht
  See Also:
    `OncRpcServerAuth`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `OncRpcServerAuth` | `auth` | Contains the authentication protocol handling object retrieved together with the call message itself.

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcCallMessage

      `ONCRPC_VERSION, oncRpcVersion, procedure, program, version`

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcMessage

      `messageId, messageType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcServerCallMessage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `xdrDecode​(XdrDecodingStream xdr)` | Decodes -- that is: deserializes -- a ONC/RPC message header object from a XDR stream according to RFC 1831.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### auth

          public OncRpcServerAuth auth

      Contains the authentication protocol handling object retrieved together with the call message itself.

  - ### Constructor Detail

    - #### OncRpcServerCallMessage

          public OncRpcServerCallMessage()

  - ### Method Detail

    - #### xdrDecode

          public void xdrDecode​(XdrDecodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Decodes -- that is: deserializes -- a ONC/RPC message header object from a XDR stream according to RFC 1831.
      Parameters:
        `xdr` - A decoding XDR stream from which to receive all the mess.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.